Berkeley DB version 4.8.30

## com.sleepycat.db
Class BtreeStats

    java.lang.Object
      com.sleepycat.db.DatabaseStats
          com.sleepycat.db.BtreeStats

    public class BtreeStats

extends DatabaseStats

The BtreeStats object is used to return Btree or Recno database statistics.

Method Summary
`int` `getDupPages()` TODO
`long` `getDupPagesFree()` TODO
`int` `getEmptyPages()` TODO
`int` `getFree()` TODO
`int` `getIntPages()` TODO
`long` `getIntPagesFree()` TODO
`int` `getLeafPages()` TODO
`long` `getLeafPagesFree()` TODO
`int` `getLevels()` TODO
`int` `getMagic()` TODO
`int` `getMetaFlags()` TODO
`int` `getMinKey()` TODO
`int` `getNumData()` TODO
`int` `getNumKeys()` TODO
`int` `getOverPages()` TODO
`long` `getOverPagesFree()` TODO
`int` `getPageCount()` TODO
`int` `getPageSize()` TODO
`int` `getReLen()` TODO
`int` `getRePad()` TODO
`int` `getVersion()` TODO
`String` `toString()` For convenience, the BtreeStats class has a toString method that lists all the data fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getMagic

    public int getMagic()

  TODO

### getVersion

    public int getVersion()

  TODO

### getMetaFlags

    public int getMetaFlags()

  TODO

### getNumKeys

    public int getNumKeys()

  TODO

### getNumData

    public int getNumData()

  TODO

### getPageCount

    public int getPageCount()

  TODO

### getPageSize

    public int getPageSize()

  TODO

### getMinKey

    public int getMinKey()

  TODO

### getReLen

    public int getReLen()

  TODO

### getRePad

    public int getRePad()

  TODO

### getLevels

    public int getLevels()

  TODO

### getIntPages

    public int getIntPages()

  TODO

### getLeafPages

    public int getLeafPages()

  TODO

### getDupPages

    public int getDupPages()

  TODO

### getOverPages

    public int getOverPages()

  TODO

### getEmptyPages

    public int getEmptyPages()

  TODO

### getFree

    public int getFree()

  TODO

### getIntPagesFree

    public long getIntPagesFree()

  TODO

### getLeafPagesFree

    public long getLeafPagesFree()

  TODO

### getDupPagesFree

    public long getDupPagesFree()

  TODO

### getOverPagesFree

    public long getOverPagesFree()

  TODO

### toString

    public String toString()

  For convenience, the BtreeStats class has a toString method that lists all the data fields.

  Overrides:
    `toString` in class `Object`

Berkeley DB version 4.8.30

Copyright (c) 1996-2009 Oracle. All rights reserved.